Class | WEBrick::Log
In: | webrick/log.rb
Parent: | BasicLog

### Methods

log new

### Attributes

time_format | [RW] |

### Public Class methods

new(log_file=nil, level=nil)

[Source]

    # File webrick/log.rb, line 77
        def initialize(log_file=nil, level=nil)
          super(log_file, level)
          @time_format = "[%Y-%m-%d %H:%M:%S]"
        end

### Public Instance methods

log(level, data)

[Source]

    # File webrick/log.rb, line 82
        def log(level, data)
          tmp = Time.now.strftime(@time_format)
          tmp << " " << data
          super(level, tmp)
        end

[Validate]